0
votes
0answers
29 views

OsmocomBB - compile error

I tried to install OsmocomBB on my Ubuntu, I've got gnu-arm-toolchain, but when I'm compiling there is an error: configure: error: in `/home/robert/OsmocomBB/osmocom-bb/src/shared/libosmocore/build- ...
0
votes
1answer
560 views

when building u-boot /bin/bash: arm-none-linux-gnueabi-gcc: command not found

I am currently running Ubuntu 12.0.4 on a 64 bit machine. I have an AM335X development board. Along with the kit came the compressed kernel (linux 3,2), rootfs, u-boot, and ARM cross compiler ...
0
votes
1answer
1k views

How to install gcc-4.7-arm-linux-gnueabihf on Ubuntu 12.04?

I want to install gcc-4.7-arm-linux-gnueabihf or greater on Ubuntu 12.04, any suggestion? The default one is gcc-4.6-arm-linux-gnueabihf.
2
votes
0answers
808 views

Problems installing gcc for cross compiling for ARM

I've been trying to install the gcc-arm-linux-fnueabi package, and I've done it a few times by a few different methods but I always seem to be missing the c++ folder in the includes directory. To ...
0
votes
0answers
189 views

How to: Install Arm cross compilation for GCC4.8 in Ubuntu 12.04

First off, I'm new to Linux and have installed ubuntu 12.04 as a VM to compile code to an ARM dev. kit. Since only the 12.04 version is supported on the dev. kit I'm unable to install e.g. latest ...
1
vote
1answer
10k views

gcc-arm-linux-gnueabi package not found on 10.04 LTS (Lucid)

I am trying to install the gcc-arm-linux-gnueabi package, but this is the error I am getting: $ sudo apt-get install gcc-arm-linux-gnueabi Reading package lists... Done Building dependency tree ...
2
votes
1answer
933 views

Where can I find a precompiled gcc 3.4.6 or 2.95 ARM cross-compiler? [closed]

I need to rebuild a very old Linux 2.4 kernel for an ARM device. Said kernel will (as far as I know) not build correctly with gcc 4. So I need an older compiler for it. Unfortunately none of my ...